using System;
using System.Collections.Generic;
using System.Text;
using System.Net;
using System.IO;
using com.tr.tms.abstractionLayer.engine;

namespace com.tr.tms.abstractionLayer
{   /// <summary>
    ///  The CalaisModelCreator contains some utility methods to load the calaisModel.
    /// </summary>
    public class CalaisModelCreator
    {

        /// <summary>
        ///  Load the CalaisModel by the RDF text
        /// </summary>
        /// <param name="rdfText"> The RDF as a string.</param>
        static public CalaisModel ReadText(string rdfText)
        {
            //start the engine to create our object
            RDFEngine en = new RDFEngine();
            return en.ProcessText(rdfText);
        }

        /// <summary>
        ///  Load the CalaisModel by the RDF Stream
        /// </summary>
        /// <param name="rdfstream"> The RDF as a Stream.</param>
        static public CalaisModel ReadStream(Stream rdfstream)
        {
            //start the engine to create our object
            RDFEngine en = new RDFEngine();
            return en.ProcessStream(rdfstream);
        }

        /// <summary>
        ///  Load the CalaisModel by the file.
        /// </summary>
        /// <param name="url"> The RDF as a file.</param>
        static public CalaisModel ReadFile(string url)
        {
            //start the engine to create our object
            RDFEngine en = new RDFEngine();
            return en.ProcessFile(url);
        }
    }
}